%define anolis_release 1

Name:           diffutils
Version:        3.8
Release:        %{anolis_release}%{?dist}
Summary:        GNU collection of diff utilities

URL:            https://ftp.gnu.org/gnu
Source:         %{url}/diffutils/%{name}-%{version}.tar.xz
License:        GPLv3+

Provides:       bundled(gnulib)
BuildRequires:  gcc
BuildRequires:  help2man
BuildRequires:  autoconf, automake, texinfo
BuildRequires:  make

%description
Diffutils includes four utilities: diff, cmp, diff3 and sdiff. Diff
compares two files and shows the differences, line by line.  The cmp
command shows the offset and line numbers where two files differ, or
cmp can show the characters that differ between the two files.  The
diff3 command shows the differences between three files.  Diff3 can be
used when two people have made independent changes to a common
original; diff3 can produce a merged file that contains both sets of
changes and warnings about conflicts.  The sdiff command can be used
to merge two files interactively.

Install diffutils if you need to compare text files.

%prep
%setup -q

autoreconf

%build
%configure
make PR_PROGRAM=%{_bindir}/pr

%install
%make_install

rm -f $RPM_BUILD_ROOT%{_infodir}/dir
%find_lang %{name}

%check
>gnulib-tests/test-update-copyright.sh
make check

%files -f %{name}.lang
%doc NEWS README
%license COPYING
%{_bindir}/*
%{_mandir}/*/*
%{_infodir}/diffutils.info*

%changelog
* Thu Mar 10 2022 Mingyue Zhao <wb-zmy745940@alibaba-inc.com> - 3.8-1
- Init for Anolis OS 23
